package com.qmth.teachcloud.report.business.bean.result;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Description: 我的考试课堂分析 - 图表查询接口
 * @Author: CaoZixuan
 * @Date: 2021-06-19
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class TeachCourseResult extends TeachCourseSurveyResult {

    @ApiModelProperty(value = "课堂有效实考人数")
    private int courseRealityCount;

    @ApiModelProperty(value = "课堂缺考人数")
    private int courseAbsentCount;

    @ApiModelProperty(value = "人数")
    private int recordAbsentCount;

    @ApiModelProperty(value = "是否缺考 1缺考 0正常")
    private Boolean absent;

    public int getRecordAbsentCount() {
        return recordAbsentCount;
    }

    public void setRecordAbsentCount(int recordAbsentCount) {
        this.recordAbsentCount = recordAbsentCount;
    }

    public Boolean getAbsent() {
        return absent;
    }

    public void setAbsent(Boolean absent) {
        this.absent = absent;
    }

    public int getCourseRealityCount() {
        return courseRealityCount;
    }

    public void setCourseRealityCount(int courseRealityCount) {
        this.courseRealityCount = courseRealityCount;
    }

    public int getCourseAbsentCount() {
        return courseAbsentCount;
    }

    public void setCourseAbsentCount(int courseAbsentCount) {
        this.courseAbsentCount = courseAbsentCount;
    }
}
